/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005-2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.repository.web.ui.internal.admin.server.ProvisionStatus");

dojo.require("dijit._Widget");
dojo.require("dijit._Templated");
dojo.require("com.ibm.team.repository.web.client.internal.ProvisioningClient");
dojo.require("com.ibm.team.repository.web.transport.internal.ProvisionResponseHandler");

dojo.declare("com.ibm.team.repository.web.ui.internal.admin.server.ProvisionStatus", [dijit._Widget, dijit._Templated], {

	templateString: "<div class=\"com-ibm-team-repository-admin-contentArea\"><h1>Provision Status</h1><div dojoAttachPoint=\"log\"></div></div>",

	postCreate: function() {
		com.ibm.team.repository.web.ui.internal.admin.server.ProvisionStatus.superclass.postCreate.apply(this);
		var prh = new com.ibm.team.repository.web.transport.internal.ProvisionResponseHandler(this, "_displayLog", "_requestFailed");
		com.ibm.team.repository.web.client.internal.ProvisioningClient.getInstallLog(prh);
	},
	
	_displayLog: function(response, args) {
		var output = response.installLogStatus.log.split("\n");
		for (var i = 0; i < output.length; i++) {
			this.log.appendChild(document.createTextNode(output[i]));
			this.log.appendChild(document.createElement("br"));
		}
	},
	
	_requestFailed: function(errorObj) {
		this.log.innerHTML = "Error while trying to get provison install log ["+errorObj.status+"]["+errorObj.statusText+"]";
	}	

});