/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
({	
	'limitHeader': "Limit",
	'limitHeaderInfo': "The largest number of Client Access Licenses that could ever be used on this server. This is the theoretical limit for this type, assuming that all possible purchases would be made.", 
	'includedHeader': "Included",
	'includedHeaderInfo': "The number of Client Access Licenses that are included with the key.", 
	'totalHeader': "Total",
	'totalHeaderInfo': "The number of Client Access Licenses managed by this server. The total is the sum of the number included and the number purchased.", 
	'trialHeader': "Trial",
	'trialHeaderInfo': "The number of Client Access Licenses that are available because the server is in trial mode.  If a server license was purchased, this number would be replaced with the actual number purchased.", 
	'purchasedHeader': "Purchased",
	'purchasedHeaderInfo': "The number of Client Access Licenses that have been purchased.", 
	'assignedHeader': "Assigned",
	'assignedHeaderInfo': "The number of Client Access Licenses that are currently assigned to users.", 
	'availableHeader': "Available",
	'availableHeaderInfo': "The number of Client Access Licenses that are currently available to be assigned to users.", 
	
	'floatLimitHeader': "Limit",
	'floatLimitHeaderInfo': "The largest number of Floating Client Access Licenses for this type that could ever be made available on this server. This is the theoretical limit for this type, assuming that all possible purchases would be made.", 
	'floatIncludedHeader': "Included",
	'floatIncludedHeaderInfo': "The number of Floating Client Access Licenses that are included with the key.", 
	'floatTotalHeader': "Total",
	'floatTotalHeaderInfo': "The number of Floating Client Access Licenses managed by this server. The total is the sum of the number included and the number purchased.", 
	'floatPurchasedHeader': "Purchased",
	'floatPurchasedHeaderInfo': "The number of Floating Client Access Licenses that have been purchased.", 
	
	'clientDescription': "Client Access Licenses permit users to perform a defined set of capabilities and manage user " + 
		"limits for the installed product.  Client Access Licenses are assigned and guaranteed to be available " +
		"for one individual.  Floating Client Access Licenses can be shared by multiple users who can individually " + 
		"acquire a license when they need it, if one is available.  Use the	${0}Floating License Server${1} tab to upload " +
		"Floating Client Access License keys and manage this server as a license server.", 
	'noFloatingSupport': "Floating licenses are not enabled on this server. To add support for floating licenses, use the ${0}Server${1} " +
				"tab to install a server license that allows floating licenses.",
				
	'refresh': "Refresh",
	'save': "Save", 
	'heading': "License Key Management",
	'hiddenMessage': "Messages go here!",
	'serverHeading': "Server Activation Key",
	'serverLicenseDescription': "The installed Server Activation key determines the enabled capabilities of Jazz Team Server.",
	'property': "Property",
	'value': "Value",
	'clientHeading': "Client Access License Activation Keys",
	'clientTableHeading': "Client Access License Types",
	'clientTableDescription': "Users on this server can be issued access to the following types of Client Access Licenses.  A user that has been assigned a Floating license type " + 
		"participates in a pool of users sharing the available Floating licenses of the same type that are installed on the license server.",
	'product': "Product",
	'edition': "Edition",
	'type': "Type",
	'status': "Status",
	'issued': "Issued",
	'overallFloatingHeading': "Configure Floating License Server",
	'overallFloatingDescription': "Upload Floating Client Access License Activation keys on this page to turn this server into a floating license server.  If you have purchased more Floating Client Access Licenses of an existing type then you can update the purchase count in the table below.",
	'floatingHeading': "Floating Client Access License Activation Keys",
	'floatingDescription': "Floating Client Access Licenses can be shared by " + 
			"multiple users who can individually acquire a license when they need it, if a copy of that license " + 
			"is available on the license server.  Once Floating Client Access License Activation keys are installed, this server " + 
			"acts as a floating license server.  The floating licenses can then be acquired by users on this server or other servers.  " +			
			"Servers can gain access to these floating licenses by configuring the \"Connect to Floating License Server\"  " + 
			"property on their License Key Management page.  Users must be issued access to one of the installed floating license types in " +
			"order to participate in the pool of users sharing the available floating licenses of that type.", 
			
	'serverTabLabel': "Server & Client Access",
	'floatingTabLabel': "Floating License Server", 
	'refreshDirty': "Refreshing will result in losing your changes. Continue?",
	'floatingUploadWarning': "You have uploaded a floating license.  Go to the ${0}Floating License Server${1} tab to preview your changes.",
	'convertToFloatingWarning': "You have uploaded a floating license.  Saving the changes will convert this server into a floating license server.",
	'loadingLicenseInfo': "Loading license information", 
	'savingLicenseInfo': "Saving license information...", 
	'saveComplete': "Save complete", 
	'saveError': "A problem occurred and the license configuration was not saved", 
	'calTypelabel': "Client Access License Activation key",
	'serverTypelabel': "Server Activation key",
	'floatingTypelabel': "Floating Client Access License Activation key",		
	'upload': "Upload ${0}", 
	'uploadingFile': "Uploading file", 
	'unlimited': "-", 
	'notApplicable': "", 
	'deactivatedReason': "Deactivated (${0})", 
	'activated': "Activated", 
	'acquiredLinkLabel': "${0} Acquired Floating", 
	'assignedLinkLabel': "${0} Assigned", 
	'noFloatSupport': "The new server license does not support floating licenses.  If the license changes are saved, the active floating leases will be terminated.", 
	'noFloatMismatch': "The new server license does not support floating CALs and that causes some changes to the existing license configuration.  Please review the contents of this page before saving.",
	'serverProduct': "Product", 
	'serverEdition': "Edition", 
	'serverDescription': "Description", 
	'maximumUsers': "Maximum Users", 
	'countedUsers': "Users with Counted Licenses",
	'serverStatus': "Status", 
	'permanent': "Permanent", 
	'expiredTrial': "Expired Trial", 
	'trial': "Trial", 
	'expiredOn': "Expired On",
	'expiresOn': "Expires On", 
	'serverError': "There was a problem communicating with the server", 
	'serverUnreachable': " (Server not reachable)",
	'pendingChangesInfo': "Press 'Save' to persist the pending changes, or press the 'Refresh' icon to discard them.",
	'validating': "Validating license information", 
	'pendingCalDeactivation': "Client Access Type '${0}' will be deactivated. See 'Client Access Licenses Activation Keys' section for more information.",
	'purchaseCountError': "Please fix the problems with the Client Access License Activation Keys purchase counts below",
	'serverLicenseError': "There is a problem with the server license.  Resolve the issue described in the status section below to continue.",
	'successfulUpload': "Successfully uploaded ${0}",
	'errorUpload': "Error uploading ${0}: ",
	'viewIssued': "View Issued",
	'invalidCount': "The purchase count for this key must be a number between 0 and ${0}" 
	
})