/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005-2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.repository.web.ui.internal.wizard.WizardNavigation");

dojo.require("dijit._Widget");
dojo.require("dijit._Templated");
dojo.require("dojo.i18n");

dojo.requireLocalization("com.ibm.team.repository.web.ui.internal.wizard", "WizardNavigationMessages");

(function() {

var messages;

dojo.declare("com.ibm.team.repository.web.ui.internal.wizard.WizardNavigation", [dijit._Widget, dijit._Templated], {

	constructor: function() {
		this.messages = messages = dojo.i18n.getLocalization("com.ibm.team.repository.web.ui.internal.wizard", "WizardNavigationMessages");
	},

	disableAll: function () {
		this.enablePrevious(false);
		this.enableNext(false);
		this._wizardFinishButton.disabled = true;
	},
	
	enableNext: function(enable) {
		this._wizardNextButton.disabled = !enable;
	}, 
	
	enablePrevious: function(enable) {
		this._wizardPreviousButton.disabled = !enable;
	},	
			
	// set action which will call down into code
	onButtonAreaClick: function(e) {
		var button = e.target;
		var loc = document.location;
		var action = "#action=" + this.prefix;
		if (button === this._wizardPreviousButton) {
			loc.href = action + this.previousAction;
		} else if (button === this._wizardNextButton){
			this.requestNextApproval();
		} else if (button === this._wizardFinishButton) {
			loc.href = net.jazz.ajax._contextRoot + "/admin"
		}	
	},
	
	requestNextApproval: function() {
		if (this.requiresNextApproval == null || !this.requiresNextApproval) {
			this.processNext();
		}
		// else let the page connect to requestNextApproval and call processNext when ready
	}, 
	
	processNext: function () {
		var loc = document.location;
		var action = "#action=" + this.prefix;
		loc.href = action + this.nextAction;
	},
	
	templatePath: dojo.moduleUrl("com.ibm.team.repository.web", "ui/internal/wizard/templates/WizardNavigation.html"),
	
	postCreate: function() {
		com.ibm.team.repository.web.ui.internal.wizard.WizardNavigation.superclass.postCreate.apply(this);
		this.disableAll();
	}
		
});

})();